{pkgs', ...}: let
in
  pkgs'.writeShellScriptBin "init-project" ''
    source ${pkgs'.common}/bin/common

    echo_section "Initializing project"
    echo_hint "This script initializes the project."
    echo_hint "The command is executed in the current working directory and not in a nix derivation."
    cd_working_dir

    echo_step "Installing dependencies"

    if ! ${pkgs'.findutils}/bin/find . -type d -name node_modules -prune -o -type f -name package.json -print | ${pkgs'.findutils}/bin/xargs -I {} sh -c "cd $(dirname {}); ${pkgs'.projectNodeJS}/bin/npm install"
    then
      echo_error "Failed to install dependencies"
      echo_hint "Check the error message and try again"
      exit 1
    fi



    echo_ok "Project initialized"
  ''
